Error object

The Error object

An Error represents a failed API request, describing what went wrong. It appears in the response body, nested under the error key, whenever a request does not succeed.

{
    "error": {
        "code": "missing_parameter",
        "doc_url": "https://fintoc.com/docs#invalid-request-error",
        "message": "Missing required param: link_token",
        "param": "link_token",
        "type": "invalid_request_error"
    }
}
AttributeTypeDescription
codestringThe particular error that occurred. The API error codes follow the standard HTTP error conventions for status codes.
doc_urlstringThe URL of the documentation associated with the error code
messagestringFriendly message detailing the error. This field can change its text content for the same code value in time, so it shouldn't be used programmatically
paramstringIf the error is related to a parameter, this attribute indicates that parameter. It can be null
typestringThe type of the error. It may be api_error, authentication_error, link_error, institution_error, invalid_request_error, new_contact_error or amount_error. The last two are only if you pre-validate payments.